/*
 *  This file is part of xMule2.
 *  Copyright (C) 2003 Alo Sarv <alo17@hot.ee>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __defines_H__
#define __defines_H__

#define APPVER wxT("2.0")
#define APPVER_LONG wxT("xMule v2.0")
#define GetDlgItem(X) ((wxTextCtrl*)FindWindowById(X)) 
#define m_logbook ((wxNotebook*)FindWindowById(ID_LOGBOOK))
#define prefs_ctrl ((wxListCtrl*)FindWindowById(ID_PREFSCTRL))
#define prefs_panel ((wxPanel*)FindWindowById(ID_PREFSPANEL))
#define xmuleDlg ((wxFrame*)FindWindowByName(APPVER_LONG))
#define splitterwnd ((wxSplitterWindow*)FindWindowById(ID_SPLITTER))
#ifndef RGB
	#define RGB(a,b,c) ((a&0xff)<<16|(b&0xff)<<8|(c&0xff))
#endif

typedef unsigned int UINT;
typedef UINT* UINT_PTR;
typedef unsigned long DWORD; 
typedef struct _RECT {
  UINT left,top,right,bottom;
} RECT;
typedef RECT* LPRECT;

#endif
