/*
 *  This file is part of xMule2.
 *  Copyright (C) 2003 Alo Sarv <alo17@hot.ee>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __ServerWnd_H__
#define __ServerWnd_H__

#ifdef __GNUG__
	#pragma interface "ServerWnd.cpp"
#endif

#ifndef WX_PRECOMP
	#include "wx/wx.h"
#endif

/* wxWindows headers */
#include <wx/datetime.h>

/* Private headers */
#include "xMuleGUI_wdr.h"
#include "defines.h"

/*
 * CServerWnd class.
 */

class CServerWnd: public wxPanel
{
public:
	CServerWnd( wxWindow *parent );
	virtual ~CServerWnd();
	void AddLogLine(wxString text, int target, bool statusbar = false);

private:
	DECLARE_EVENT_TABLE()
	void AddNewServer();
	void UpdateFromURL();
	
	wxImageList *m_imagelist;
};


#endif
