/*
 *  This file is part of xMule2.
 *  Copyright (C) 2003 Alo Sarv <alo17@hot.ee>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifdef __GNUG__
	#pragma implementation "xMuleGUI.h"
#endif

// For compilers that support precompilation
#include "wx/wxprec.h"

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#include "xMuleGUI.h"

/* 
 * Base class for xMule wx user interface. Everything else starts from here.
 */

IMPLEMENT_APP(xMuleGUI)

/*
 * Main program initialization. Command arguments should be checked here, and
 * main xMule Dialog drawn.
 */
bool xMuleGUI::OnInit() {
	xMuleDlg *frame = new xMuleDlg(
		NULL, -1, APPVER_LONG, 
		wxPoint(20,20), wxSize(800,600) 
	);
	
	frame->Show( TRUE );

	return TRUE;
}

/*
 * Main program shutdown function. If anything needs to be cleaned up, do it 
 * here.
 */
int xMuleGUI::OnExit() {
	return 0;
}

